/* queue.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef QUEUE_H
#define QUEUE_H



#define TASK_NULL 0
#define TASK_ISOSURFACE 1
#define TASK_HSLICE 2
#define TASK_VSLICE 3
#define TASK_CHSLICE 4
#define TASK_CVSLICE 5
#define TASK_HWIND 6
#define TASK_VWIND 7
#define TASK_TRAJ 8
#define TASK_QUIT 100


extern void init_queue();

extern void terminate_queue();

extern int get_qsize();


/*** get_qentry *******************************************************
   Return an entry from the work queue.  If the queue is empty, this
   fuction blocks.
**********************************************************************/
extern void get_qentry();
/*
int *type, *i1, *i2, *i3;
float *f1, *f2, *f3, *f4, *f5;
*/



extern void request_quit();


extern void request_isosurface();
extern void request_hslice();
extern void request_vslice();
extern void request_chslice();
extern void request_cvslice();
extern void request_hwindslice();
extern void request_vwindslice();


extern void request_traj();
/*
float row, col, lev;
int time, group,rib;
float step, len;
*/



#endif
